# Method: folders.locations.global.policyOrchestrators.patch

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators/patch#try-it)

Updates an existing policy orchestrator, parented by a folder.

### HTTP request

`PATCH https://osconfig.googleapis.com/v2/{policyOrchestrator.name=folders/*/locations/global/policyOrchestrators/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `policyOrchestrator.name` | `string` Immutable. Identifier. In the following format: \* `organizations/{organization_id}/locations/global/policyOrchestrators/{orchestrator_id}` \* `folders/{folder_id}/locations/global/policyOrchestrators/{orchestrator_id}` \* `projects/{project_id_or_number}/locations/global/policyOrchestrators/{orchestrator_id}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to merge into the existing policy orchestrator. A special \["\*"\] field mask can be used to simply replace the entire resource. Otherwise, for all paths referenced in the mask, following merge rules are used: \* output only fields are ignored, \* primitive fields are replaced, \* repeated fields are replaced, \* map fields are merged key by key, \* message fields are cleared if not set in the request, otherwise they are merged recursively (in particular - message fields set to an empty message has no side effects) If field mask (or its paths) is not specified, it is automatically inferred from the request using following rules: \* primitive fields are listed, if set to a non-default value (as there is no way to distinguish between default and unset value), \* map and repeated fields are listed, \* `google.protobuf.Any` fields are listed, \* other message fields are traversed recursively. Note: implicit mask does not allow clearing fields. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v2/folders.locations.global.policyOrchestrators#PolicyOrchestrator`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).